/****************** Timer *****************/

#timer {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-size : 50px;
    margin: auto;
    text-align: center;
} 

/****************** General *******************/

button {
    color: white;
    border-radius: 4px;
    text-shadow: 0 1px 1px rgba(0, 0, 0, 0.2);
    background: rgb(223, 117, 20);
    border : none;
    border-radius: 5px;
    height : 5vmax;
    width : 10vmax;
    font-size : 1.5vmax;
    margin-left: 1vmax;
}

table td { 
    margin : auto;
    border : 1px solid black;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    text-align: center;
    border-radius : 5px;
}

/********************** Game Board *******************/
#mainPage {
    display: flex;
    min-height : 100vh;
    flex-wrap: wrap;
    align-items: center;
}

#boardArea {
    min-height : 100vh;
    flex-basis: 100vh;
}

#memoryBoard {  
    margin-top: 5%;
    margin-left: 10%;
    max-height: 20%;
}

#memoryBoard tr {
    height : 10vmin;
}

#memoryBoard td {
    width : 10vmin;
    background-color : #3399ff;
}

/*#memoryBoard td:hover {
    background-color : #99ccff;
}*/

#memoryBoard td img {
    max-height : 80% ;
    max-width : 80%;
}

/******************** Animations ******************/

.odd-cell {
    
    position: relative;
    animation-name: spin;
    animation-duration: 4s;
}

.even-cell {
    position: relative;
    animation-name: spin;
    animation-duration: 4s;
}

.odd-row {
    animation: circle 4s;
}

.even-row {
    animation: opposite-circle 4s;
}

.spinner {
    position: relative;
    animation-name: back-spin;
    animation-duration: 4s;
}

@keyframes circle {
    100% {
    transform: rotate(360deg);
    }
}

@keyframes opposite-circle {
    100% {
        transform: rotate(-360deg);
    }
}

@keyframes spin {
    0%   {background-color:red; left:0vmin; top:0vmin;}
    25%  {background-color:yellow; left:3vmin; top:0vmin;}
    50%  {background-color:blue; left:3vmin; top:3vmin;}
    75%  {background-color:green; left:0vmin; top:3vmin;}
    100% {background-color:red; left:0vmin; top:0vmin; transform: rotate(360deg);}
}

@keyframes back-spin {
        0%   {background-color:red; left:0vmin; top:0vmin;}
    25%  {background-color:yellow; left:-3vmin; top:0vmin;}
    50%  {background-color:blue; left:-3vmin; top:-5vmin;}
    75%  {background-color:green; left:0vmin; top:-5vmin;}
    100% {background-color:red; left:0vmin; top:0vmin; transform: rotate(180deg);}
}

/******************** Modal **********************/

.modal {
    visibility: hidden; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    padding-top: 100px; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

.modal-itself {
    background-color: #fefefe;
    margin: auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
    height : 40%;
}

.modal-content {
    display: flex;
    flex-direction: column;
}

.table-choices {
    display : flex;
    justify-content: space-around;
    height : 12vmax;
}

.title-span {
    margin-left : auto;
    margin-right : auto;
    padding-bottom: 3%;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-size: 2vmax;
    font-weight: bold;
}

/* The Close Button */
.close {
    position: relative;
    top: 0;
    right: 0;
    color: #aaaaaa;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: #000;
    text-decoration: none;
    cursor: pointer;
}

.table-choices >  div{
    flex :1 1;
    height : 100%;
} 

.table-choices >  div table{
    height: 100%;
    width : 40%;
}

.choice-table:hover td { background-color: aquamarine; }
